<html>
    <head>
        <title>Пятнашка</title>
        <meta http-equiv=content-type content="text/html; charset=windows-1251">
    </head>
    <body>
        <style>
            img {border-width:0}
            .c1 {position:absolute; left:60px; top:30px;}
            .c2 {position:absolute; left:120px; top:30px;}
            .c3 {position:absolute; left:180px; top:30px;}
            .c4 {position:absolute; left:240px; top:30px;}
            .c5 {position:absolute; left:60px; top:90px;}
            .c6 {position:absolute; left:120px; top:90px;}
            .c7 {position:absolute; left:180px; top:90px;}
            .c8 {position:absolute; left:240px; top:90px;}
            .c9 {position:absolute; left:60px; top:150px;}
            .c10 {position:absolute; left:120px; top:150px;}
            .c11 {position:absolute; left:180px; top:150px;}
            .c12 {position:absolute; left:240px; top:150px;}
            .c13 {position:absolute; left:60px; top:210px;}
            .c14 {position:absolute; left:120px; top:210px;}
            .c15 {position:absolute; left:180px; top:210px;}
            .c16 {position:absolute; left:240px; top:210px;}
            .pravila {position:absolute; top:20px; left:320px; width:300px; text-align:justify;}
        </style>

        <script>
            function shag(x) 
            {for (i=1; i<=16; i++) {if(a[i]==0){poz0=i} if(a[i]==x){pozx=i}}
            if (pozx==poz0-4||pozx==poz0+4||poz0==pozx+1&&
            (pozx==1||pozx==5||pozx==9||pozx==13||pozx==2||pozx==6||pozx==10||pozx==14||pozx==3||pozx==7||pozx==11||pozx==15)||poz0==pozx-1&&
            (pozx==4||pozx==8||pozx==12||pozx==16||pozx==2||pozx==6||pozx==10||pozx==14||pozx==3||pozx==7||pozx==11||pozx==15))
            {a[poz0]=a[pozx]; a[pozx]=0; win=1; for (i=1; i<=15; i++) {if(a[i]!=i) {win=0}} if(win==1) {alert(",  ")} return(poz0);} else {return(pozx)}}
            i=1; a=[]; 
            do  {	x=Math.round(Math.random()*15);
                est=1;
                for (j=1; j<=i; j++) {if (a[j]==x){est=0}}
                if (est==1) {a[i]=x; i++}} while (i<=16);
            for (i=1; i<=16; i++) 
            {if (a[i]!=0) {document.write("<img width=50 height=50 alt=",a[i]," src=n",a[i],".gif class=c",i," onclick=className='c'+shag(",a[i],")>")}} 
        </script>
        <div class=pravila>
        <!--
        <h1>Правила:</h1>
        <p>1  15   4x4.
        <br>           .
        <br>        .        &laquo;&raquo;
        -->
        <p align=right>Автор: Андрей Бутко</p>
        </div>
    </body>
</html>
